Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(33)

Issue 133110044: Fix a bug in Shadow::IsBeginningOfBlockBody (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 years, 8 months ago by Sébastien Marchand
Modified:
6 years, 8 months ago
Reviewers:
chrisha
CC:
sawbuck-changes_googlegroups.com
Base URL:
http://sawbuck.googlecode.com/svn/trunk
Visibility:
Public.

Description

Fix a bug in Shadow::IsBeginningOfBlockBody The beginning of a block might be in its trailer in the case of a 0 bytes block. BUG= R=chrisha@chromium.org Committed: https://code.google.com/p/sawbuck/source/detail?r=2276

Patch Set 1 #

Total comments: 2

Patch Set 2 : Address Chris comment. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+33 lines, -4 lines) Patch
M syzygy/agent/asan/shadow.cc View 1 1 chunk +9 lines, -3 lines 0 comments Download
M syzygy/agent/asan/shadow_unittest.cc View 1 2 chunks +24 lines, -1 line 0 comments Download

Messages

Total messages: 6
Sébastien Marchand
PTAL.
6 years, 8 months ago (2014-08-27 20:58:34 UTC) #1
chrisha
https://codereview.appspot.com/133110044/diff/1/syzygy/agent/asan/shadow.cc File syzygy/agent/asan/shadow.cc (right): https://codereview.appspot.com/133110044/diff/1/syzygy/agent/asan/shadow.cc#newcode237 syzygy/agent/asan/shadow.cc:237: if (IsLeftRedzone(addr)) Redzones aren't always split into 'left' and ...
6 years, 8 months ago (2014-08-27 21:06:18 UTC) #2
Sébastien Marchand
Thanks, PTAnL. https://codereview.appspot.com/133110044/diff/1/syzygy/agent/asan/shadow.cc File syzygy/agent/asan/shadow.cc (right): https://codereview.appspot.com/133110044/diff/1/syzygy/agent/asan/shadow.cc#newcode237 syzygy/agent/asan/shadow.cc:237: if (IsLeftRedzone(addr)) On 2014/08/27 21:06:18, chrisha wrote: ...
6 years, 8 months ago (2014-08-28 02:16:50 UTC) #3
chrisha
lgtm!
6 years, 8 months ago (2014-08-28 13:50:20 UTC) #4
Sébastien Marchand
Thanks, committing.
6 years, 8 months ago (2014-08-28 16:09:36 UTC) #5
Sébastien Marchand
6 years, 8 months ago (2014-08-28 16:28:32 UTC) #6
Message was sent while issue was closed.
Committed patchset #2 (id:20001) manually as 2276 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b